List Talking Points on a Voice
curl --request GET \
--url https://api.goextrovert.com/client/v2/voice-talking-points \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.goextrovert.com/client/v2/voice-talking-points"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.goextrovert.com/client/v2/voice-talking-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"text": "<string>",
"voiceId": "cf33282b-b171-4d23-ae02-848499d793e4"
}
],
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Voice Talking Points
List Talking Points on a Voice
Returns all Talking Points attached to the given Voice. A Talking Point is a single idea, fact, or point of view (industry observations, product benefits, hot takes, thoughts that add value) used as context when generating comments on posts. Talking Points feed comment generation only — they are never used for direct messages.
GET
/
client
/
v2
/
voice-talking-points
List Talking Points on a Voice
Authorizations
API Key for authentication
Query Parameters
ID of the Voice whose Talking Points should be returned.